// ServicePPP.h: interface for the CServicePPP class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVICEPPP_H__71A9EDDD_6F4D_11D2_83E2_0040052F0B6E__INCLUDED_)
#define AFX_SERVICEPPP_H__71A9EDDD_6F4D_11D2_83E2_0040052F0B6E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Service.h"
#include "WizPageRadioButtons.h"

class SERVICE_EXPORTED_CLASS CServicePPP : public CService  
{
   DECLARE_DYNAMIC(CServicePPP)
public:
	CServicePPP(HKEY const hKeyRoot, CString const strRegPath, CConfigObject const * const pParent);
	virtual ~CServicePPP();
	virtual BOOL GetParameters(void);
	virtual BOOL SetParameters(void);
	virtual BOOL RemoveParameters(BOOL fRemoveKey = FALSE);

	virtual BOOL AddWizardPages(CConfigWizSheet * const pSheet);
	virtual BOOL NextWizardPage(int const nState);

	virtual BOOL AddChild(void){ASSERT(FALSE);return FALSE;}
	virtual BOOL DoProperties(void);
	// there is only 1 port per PPP service.
    virtual INT_PTR GetConfiguredPorts(void) { return 1;}

private:
	CString m_strPPPLineName;
	BOOL GetConfigData(void);
	// CString m_strServiceInstance;
	int m_nNRZ;
   int m_fIsCsuLine;
	CWizPageRadioButtons* m_pwpNRZPage;
	enum
	{WP_NRZ};
};

#endif // !defined(AFX_SERVICEPPP_H__71A9EDDD_6F4D_11D2_83E2_0040052F0B6E__INCLUDED_)
